# mongoc_client_encryption_delete_key()

## Synopsis

    bool
    mongoc_client_encryption_delete_key (
       mongoc_client_encryption_t *client_encryption,
       const bson_value_t *keyid,
       bson_t *reply,
       bson_error_t *error);

Delete a key document in the key vault collection that has the given `keyid`.

## Parameters

- `client_encryption`: A mongoc_client_encryption_t.

- `keyid`: The UUID (BSON binary subtype 0x04) of the key to delete.

- `reply`: Optional. An uninitialized `bson_t` set to the delete result. Must be freed by `bson_destroy()`.

- `error`: Optional. `bson_error_t`.

## Returns

Returns `true` if successful. Returns `false` and sets `error` otherwise.

See also

mongoc_client_encryption_t
mongoc_client_encryption_create_datakey()